package com.example.dtf.repositories

import androidx.paging.PagingData
import com.example.dtf.models.Comment
import kotlinx.coroutines.flow.Flow

interface ICommentRepository {
    suspend fun insert(comment: Comment)

    fun getById(id: Int): Flow<Comment>
    fun getByPost(postId: Int): Flow<PagingData<Comment>>
}